cURL
curl --request PUT \
--url https://integration.fatorly.com/v1/vendors/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"nameAr": null,
"email": null,
"phone": null,
"vatTrn": null,
"address": null,
"city": null,
"country": null,
"contactPerson": null,
"participantId": null,
"isActive": true,
"postalCode": null,
"addressLine2": null,
"stateProvince": null,
"companyRegistrationNumber": null,
"code": null
}
'import requests
url = "https://integration.fatorly.com/v1/vendors/{id}"
payload = {
"name": "<string>",
"nameAr": None,
"email": None,
"phone": None,
"vatTrn": None,
"address": None,
"city": None,
"country": None,
"contactPerson": None,
"participantId": None,
"isActive": True,
"postalCode": None,
"addressLine2": None,
"stateProvince": None,
"companyRegistrationNumber": None,
"code": None
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
nameAr: null,
email: null,
phone: null,
vatTrn: null,
address: null,
city: null,
country: null,
contactPerson: null,
participantId: null,
isActive: true,
postalCode: null,
addressLine2: null,
stateProvince: null,
companyRegistrationNumber: null,
code: null
})
};
fetch('https://integration.fatorly.com/v1/vendors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"nameAr": "<string>",
"email": "<string>",
"phone": "<string>",
"vatTrn": "<string>",
"address": "<string>",
"city": "<string>",
"country": "<string>",
"contactPerson": "<string>",
"participantId": "<string>",
"isActive": true,
"postalCode": null,
"addressLine2": null,
"stateProvince": null,
"companyRegistrationNumber": null,
"code": null
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}Vendors
Put v1vendors
PUT
/
v1
/
vendors
/
{id}
cURL
Authorizations
Your fat_… integration key. Create one in Settings → Integrations → API Keys.
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
OK
⌘I